CocoaTweet::API::Model::MediaStore Class Referencefinal

data class for tweet object More...

`#include <mediaStore.h>`

## Public Member Functions

| MediaStore ()=default
| constructor More...
| MediaStore (const MediaStore &)=default
| copy constructor More...
| MediaStore (const std::string &_json)
| constructor for create object from json response More...
void | id (const std::string _id)
| set id of tweet More...
void | size (const unsigned int _size)
| set media size in byte More...
void | expires (const unsigned int _ex)
| set remaining time to expire the media More...
void | state (const std::string _state)
| set media processing status More...
void | remain (const unsigned int _remain)
| set how second need for upload complete More...
const std::string | id () const
| get media id More...
const unsigned int | size () const
| get media size More...
const unsigned int | expire () const
| get remaining time to expire the media More...
const std::string | state () const
| get media processing status More...
const unsigned int | remain () const
| set how second need for upload complete More...

## Static Public Member Functions

static MediaStore | parse (const std::string &_json)
| response parser for MediaStore object More...

## Detailed Description

data class for tweet object

## Constructor & Destructor Documentation

## MediaStore() [1/3]

CocoaTweet::API::Model::MediaStore::MediaStore | ( |  | ) |

default

constructor

## MediaStore() [2/3]

CocoaTweet::API::Model::MediaStore::MediaStore | ( | const MediaStore & |  | ) |

default

copy constructor

## MediaStore() [3/3]

CocoaTweet::API::Model::MediaStore::MediaStore | ( | const std::string & | _json | ) |

inline

constructor for create object from json response

Parameters

  [in] | const | std::string& _json : received content from twitter endpoint

## Member Function Documentation

## expire()

const unsigned int CocoaTweet::API::Model::MediaStore::expire | ( |  | ) | const

get remaining time to expire the media

Parameters

  [in] | none |
  [out] | const | unsigned int : remaining time to expire the media ib sec

## expires()

void CocoaTweet::API::Model::MediaStore::expires | ( | const unsigned int | _ex | ) |

set remaining time to expire the media

Parameters

  [in] | const | unsigned int : remaining time to expire the media ib sec
  [out] | none |

## id() [1/2]

const std::string CocoaTweet::API::Model::MediaStore::id | ( |  | ) | const

get media id

Parameters

  [in] | none |
  [out] | const | std::string : media id

## id() [2/2]

void CocoaTweet::API::Model::MediaStore::id | ( | const std::string | _id | ) |

set id of tweet

Parameters

  [in] | const | std::string _id : media id to set
  [out] | none |

## parse()

MediaStore CocoaTweet::API::Model::MediaStore::parse | ( | const std::string & | _json | ) |

static

response parser for MediaStore object

Parameters

  [in] | const | std::string& _json : received content from twitter endpoint
  [out] | CocoaTweet::API::Model::MediaStore |

## remain() [1/2]

const unsigned int CocoaTweet::API::Model::MediaStore::remain | ( |  | ) | const

set how second need for upload complete

Parameters

  [in] | none |
  [out] | needed | time to upload complete on server in second

## remain() [2/2]

void CocoaTweet::API::Model::MediaStore::remain | ( | const unsigned int | _remain | ) |

set how second need for upload complete

Parameters

  [in] | needed | time to upload complete on server in second
  [out] | none |

## size() [1/2]

const unsigned int CocoaTweet::API::Model::MediaStore::size | ( |  | ) | const

get media size

Parameters

  [in] | none |
  [out] | const | unsigned int : media size in byte

## size() [2/2]

void CocoaTweet::API::Model::MediaStore::size | ( | const unsigned int | _size | ) |

set media size in byte

Parameters

  [in] | const | unsigned int _size : media size in byte
  [out] | none |

## state() [1/2]

const std::string CocoaTweet::API::Model::MediaStore::state | ( |  | ) | const

get media processing status

Parameters

  [in] | none |
  [out] | const | std::string _state : media processed status

## state() [2/2]

void CocoaTweet::API::Model::MediaStore::state | ( | const std::string | _state | ) |

set media processing status

Parameters

  [in] | const | std::string _state : media processed status
  [out] | none |

The documentation for this class was generated from the following files:

- src/cocoatweet/api/model/mediaStore.h
- src/cocoatweet/api/model/mediaStore.cc